#pragma once

#include "core/area.h"

namespace kku
{

class Sprite
{
public:
    virtual ~Sprite() = default;

    virtual void setPosition(const Point& position) = 0;
    virtual Point getPosition() const = 0;
    virtual void move(const kku::Vector2<float>& delta) = 0;

    virtual void display() const = 0;
};

}
